package laboratoire4;

import laboratoire4.pawns.PawnMovement;

public interface IPawn {
    boolean isMoveValid(IPawn[][] board, PawnMovement movement);
    boolean isMoveValid(IPawn[][] board, PawnMovement movement, boolean ignorePlayers);
    boolean isMoveValid(IPawn[][] board, PawnMovement movement, int fromRow, int fromCol, boolean ignorePlayer);
    boolean isMoveValid(IPawn[][] board, PawnMovement movement, int fromRow, int fromCol);
    void move(PawnMovement movement);
    boolean isPusher();
    int getDirection();
    Player getPlayer();
    int getRow();
    int getCol();
    void setRow(int row);
    void setCol(int col);
}
