package laboratoire4.pawns;

import laboratoire4.IPawn;

public interface SimulatedPawn extends IPawn {
    void revertMove();
    int getMoveCount();
    int getOriginalRow();
    int getOriginalCol();

    static SimulatedPawn from(IPawn pawn) {
        if (pawn instanceof Pusher) {
            return new SimulatedPusher(pawn.getPlayer(), pawn.getRow(), pawn.getCol());
        }

        return new SimulatedPushed(pawn.getPlayer(), pawn.getRow(), pawn.getCol());
    }
}

