package laboratoire4.pawns;

public enum PawnMovement {
    STRAIGHT(0),
    LEFT_DIAGONAL(-1),
    RIGHT_DIAGONAL(1);

    private final int move;

    PawnMovement(int move) {
        this.move = move;
    }

    public int getMove() {
        return move;
    }

    public PawnMovement getOpposite() {
        return from(move * -1);
    }

    public static PawnMovement from(int move) {
        if (move == 0) {
            return STRAIGHT;
        }
        if (move == 1) {
            return RIGHT_DIAGONAL;
        }
        return LEFT_DIAGONAL;
    }
}
